/* serielle Kommunikation fr das STM32F103ZET6-Board */

#ifndef SERIAL_INCLUDED
#define SERIAL_INCLUDED

extern dword  InitSerial (long baudrate, int uart); /* liefert tatschliche Baudrate zurck */
extern int    numTxFree  (int uart);                /* liefert Anzahl freier Pltze im Tx Puffer */
extern bool   RxAvail    (int uart);                /* ob empfangene Zeichen anliegen */
extern char   GetChar    (int uart);                /* liest empfangenes Zeichen (ohne Warten) */
extern char   Char_Out   (char c, int uart);        /* Zeichen auf UART ausgeben */
extern void   String_Out (char* P, int uart);       /* String auf UART ausgeben  */
extern void   CRLF_Out   (int uart);                /* 0x13 0x10 auf UART ausgeben */
extern void   TxDone     (int uart);                /* warten bis alles gesendet */

#endif

