/* Definitionen berall bentigter Datentypen */

#ifndef _STDTYPES_INCLUDED
#define _STDTYPES_INCLUDED

/* Daten-Typen */

#define  integer   short int
#define  word      unsigned short int
#define  byte      unsigned char
#define  dword     unsigned long
#define  qword     unsigned long long
#define  int64     long long
#define  cardinal  unsigned long
#define  bool      unsigned char

/* rausgenommen wegen Chan's FF
#define  BOOL      unsigned char
#define  BYTE      unsigned char
#define  WORD      unsigned short int
#define  WCHAR     unsigned short int
#define  UINT      unsigned short int
#define  DWORD     unsigned long
#define  ULONG     unsigned long
*/

#define  TRUE      1
#define  FALSE     0
#define  true      1
#define  false     0


/* Mist, den ich mir sowieso nicht merken kann */
#define     MOD   %
#define     XOR   ^
#define     NOT   ~
#define     AND   &
#define     OR    |



#define POINT struct TPoint
struct TPoint
{ integer X, Y; };


#define RECT  struct TRect
struct TRect
{ integer  left,
           top,
	   right,
	   bottom;
};

/*
#define DATUM struct datumstruct
struct datumstruct
{ byte sekunde;
  byte minute;
  byte stunde;
  byte tag;
  byte monat;
  word jahr;
};
*/

/* Symbole fr Stream-Verteiler (hier eigentlich fast berflssig) */
#define  toLCD      1        /* fr Alpha-LCD                */
#define  toV24      2        /* fr serielle Ausgabe per V24 */
#define  toUSB      4        /* fr serielle Ausgabe per USB */
#define  toPRN      8        /* fr Alpha-Druckerausgabe     */
#define  toGPRN    16        /* fr Grafik-Druckerausgabe    */
#define  toMGLCD   32        /* fr Mono-GLCD im Alpha-Modus */
#define  toMGRAF   64        /* fr Mono-GLCD im Grafik-Modus*/
#define  toCGLCD  128        /* fr Color-GLCD */
#define  toBUF    256        /* Ausgabe in Puffer */



#endif






